%define		kdeappsver	21.08.1
%define		kframever	5.56.0
%define		qtver		5.9.0
%define		kaname		kpkpass
Summary:	kpkpass
Name:		ka5-%{kaname}
Version:	21.08.1
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	7d4c65f4513e54e7ef92f6f11ca28e90
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Test-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-karchive-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library to deal with Apple Wallet pass files. Apple Wallet files are
essentially ZIP files containing a JSON description of the pass,
translated message catalogs and graphical assets to render the pass.

%description -l pl.UTF-8
Biblioteka do obsługi portfela Apple z plikami haseł. Pliki Apple
Wallet są plikami ZIP z JSONowym opisem pass, a także katalogiem z
tłumaczeniami i plikami graficznymi.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%ghost %{_libdir}/libKPimPkPass.so.5
%attr(755,root,root) %{_libdir}/libKPimPkPass.so.*.*.*
%{_datadir}/mime/packages/application-vnd-apple-pkpass.xml
%{_datadir}/qlogging-categories5/org_kde_kpkpass.categories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KPim/KPkPass
%{_libdir}/cmake/KPimPkPass
%{_libdir}/libKPimPkPass.so
%changelog
* Wed Sep 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kpkpass.git;a=log;h=master

* Sun Sep 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 200d928
- updated to 21.08.1

* Thu Aug 19 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 811fa1e
- updated to 21.08.0

* Thu Jul 22 2021 Witold Filipczyk <witekfl@poczta.onet.pl> c544b19
- pl description

* Fri Jul 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> e6ffe79
- updated to 21.04.3

* Fri Jun 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 263a537
- updated to 21.04.2

* Sat May 15 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 510e58c
- updated to 21.04.1

* Sat Apr 24 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 6efb21d
- updated to 21.04.0

* Tue Mar 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 42d0064
- updated to 20.12.3

* Mon May 13 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 0646b06
- updated to 19.04.1
- packaged docs
- macro kframever

* Sat Jan 12 2019 Witold Filipczyk <witekfl@poczta.onet.pl> a7d2710
- updated to 18.12.1; ninja

* Sat Dec 29 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 8a6e1d3
- updated to 18.12.0

